Subject: Re: [ebiggers:sha256-lib-v4 4/13] /tmp/ccoCWqTC.s: Error: local label `"3" (instance number 1 of a fb label)' is not defined

From: Eric Biggers <[email-masked]>
Date: Wed, 7 May 2025 10:13:41 -0700

On Wed, May 07, 2025 at 12:56:22PM +0200, Thorsten Leemhuis wrote:
> [+linux-crypto and +Herbert Xu, who committed that change that showed up
> in -next today; sorry for forgetting this earlier]
> 
> On 07.05.25 12:50, Thorsten Leemhuis wrote:
> > On 07.05.25 12:25, kernel test robot wrote:
> >> tree:   https://git.kernel.org/pub/scm/linux/kernel/git/ebiggers/linux.git sha256-lib-v4
> >> head:   849682242c36727c23430b6cfed12e4422313931
> >> commit: 9f2dd94847c914bb716be744e12cb02f175638db [4/13] crypto: arm64/sha256 - implement library instead of shash
> >> config: arm64-randconfig-003-20250429 (https://download.01.org/0day-ci/archive/20250507/[email-masked]/config)
> >> compiler: aarch64-linux-gcc (GCC) 9.5.0
> >> reproduce (this is a W=1 build): (https://download.01.org/0day-ci/archive/20250507/[email-masked]/reproduce)
> >>
> >> If you fix the issue in a separate patch/commit (i.e. not just a new version of
> >> the same patch/commit), kindly add following tags
> >> | Reported-by: kernel test robot <[email-masked]>
> >> | Closes: https://lore.kernel.org/oe-kbuild-all/[email-masked]/
> >>
> >> All errors (new ones prefixed by >>):
> >>
> >>    /tmp/ccoCWqTC.s: Assembler messages:
> >>>> /tmp/ccoCWqTC.s: Error: local label `"3" (instance number 1 of a fb label)' is not defined
> > 
> > I ran into the same problem today when building -next rpms for arm64
> > Fedora using the approach and configuration used to build the kernel
> > rpms shipped in Fedora rawhide.
> > 
> > Full build log:
> > 
> > https://download.copr.fedorainfracloud.org/results/@kernel-vanilla/next/fedora-rawhide-aarch64/09006679-next-next-all/builder-live.log.gz
> > 
> > Ciao, Thorsten

Thanks.  https://lore.kernel.org/r/[email-masked]
fixes this.  This was specific to CONFIG_PREEMPT_VOLUNTARY=y, which I've now
added to the lists of configs I test...

- Eric